package sharin.doc.builder.xhtml1;

public class OlElem extends GenericCommonElem<OlElem> {

    public OlElem(Object... nodes) {
        super("ol", nodes);
    }

    public OlElem compact(boolean compact) {
        return compact ? compact("compact") : this;
    }

    public OlElem compact(Object value) {
        return attr("compact", value);
    }

    public OlElem start(Object value) {
        return attr("start", value);
    }

    public OlElem type(Object value) {
        return attr("type", value);
    }
}
